VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::Routes Interface Reference

`Routes` interface provides methods Performs networking routes operations. More...

Inherited by vmware::appliance::techpreview::networking::RoutesStub.

List of all members.

## Public Member Functions
vmware.appliance.techpreview.networking.RoutesTypes.TestStatusInfo | Test (global::System.Collections.Generic.List< string > gateways)
| Test connection to a list of gateways.
vmware.appliance.techpreview.networking.RoutesTypes.TestStatusInfo | Test (global::System.Collections.Generic.List< string > gateways, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Test connection to a list of gateways.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.networking.RoutesTypes.TestStatusInfo > | TestAsync (global::System.Collections.Generic.List< string > gateways)
| Test connection to a list of gateways.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.networking.RoutesTypes.TestStatusInfo > | TestAsync (global::System.Collections.Generic.List< string > gateways, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Test connection to a list of gateways.
void | Add (vmware.appliance.techpreview.networking.RoutesTypes.Route route)
| Set static routing rules.
void | Add (vmware.appliance.techpreview.networking.RoutesTypes.Route route, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set static routing rules.
global::System.Threading.Tasks.Task | AddAsync (vmware.appliance.techpreview.networking.RoutesTypes.Route route)
| Set static routing rules.
global::System.Threading.Tasks.Task | AddAsync (vmware.appliance.techpreview.networking.RoutesTypes.Route route, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set static routing rules.
void | Set (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.RoutesTypes.Route > routes)
| Set static routing rules.
void | Set (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.RoutesTypes.Route > routes, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set static routing rules.
global::System.Threading.Tasks.Task | SetAsync (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.RoutesTypes.Route > routes)
| Set static routing rules.
global::System.Threading.Tasks.Task | SetAsync (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.RoutesTypes.Route > routes, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set static routing rules.
global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.RoutesTypes.RouteReadOnly > | List ()
| Get main routing table.
global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.RoutesTypes.RouteReadOnly > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get main routing table.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.RoutesTypes.RouteReadOnly > > | ListAsync ()
| Get main routing table.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.RoutesTypes.RouteReadOnly > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get main routing table.
void | Delete (vmware.appliance.techpreview.networking.RoutesTypes.Route route)
| Delete static routing rules.
void | Delete (vmware.appliance.techpreview.networking.RoutesTypes.Route route, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Delete static routing rules.
global::System.Threading.Tasks.Task | DeleteAsync (vmware.appliance.techpreview.networking.RoutesTypes.Route route)
| Delete static routing rules.
global::System.Threading.Tasks.Task | DeleteAsync (vmware.appliance.techpreview.networking.RoutesTypes.Route route, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Delete static routing rules.

## Detailed Description

`Routes` interface provides methods Performs networking routes operations.

## Member Function Documentation

void vmware::appliance::techpreview::networking::Routes::Add | ( | vmware.appliance.techpreview.networking.RoutesTypes.Route | route | ) |

Set static routing rules.

A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  route | Static routing rule.

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

void vmware::appliance::techpreview::networking::Routes::Add | ( | vmware.appliance.techpreview.networking.RoutesTypes.Route | route,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set static routing rules.

A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  route | Static routing rule.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::Routes::AddAsync | ( | vmware.appliance.techpreview.networking.RoutesTypes.Route | route,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set static routing rules.

A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  route | Static routing rule.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::Routes::AddAsync | ( | vmware.appliance.techpreview.networking.RoutesTypes.Route | route | ) |

Set static routing rules.

A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  route | Static routing rule.

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

void vmware::appliance::techpreview::networking::Routes::Delete | ( | vmware.appliance.techpreview.networking.RoutesTypes.Route | route | ) |

Delete static routing rules.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  route | Static routing rule.

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

void vmware::appliance::techpreview::networking::Routes::Delete | ( | vmware.appliance.techpreview.networking.RoutesTypes.Route | route,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Delete static routing rules.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  route | Static routing rule.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::Routes::DeleteAsync | ( | vmware.appliance.techpreview.networking.RoutesTypes.Route | route | ) |

Delete static routing rules.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  route | Static routing rule.

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::Routes::DeleteAsync | ( | vmware.appliance.techpreview.networking.RoutesTypes.Route | route,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Delete static routing rules.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  route | Static routing rule.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.RoutesTypes.RouteReadOnly> vmware::appliance::techpreview::networking::Routes::List | ( |  | ) |

Get main routing table.

A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Routing table.

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.RoutesTypes.RouteReadOnly> vmware::appliance::techpreview::networking::Routes::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get main routing table.

A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Routing table.

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.RoutesTypes.RouteReadOnly> > vmware::appliance::techpreview::networking::Routes::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get main routing table.

A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Routing table.

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.RoutesTypes.RouteReadOnly> > vmware::appliance::techpreview::networking::Routes::ListAsync | ( |  | ) |

Get main routing table.

A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Routing table.

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

void vmware::appliance::techpreview::networking::Routes::Set | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.RoutesTypes.Route > | routes | ) |

Set static routing rules.

A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  routes | Static routing rules.

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

void vmware::appliance::techpreview::networking::Routes::Set | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.RoutesTypes.Route > | routes,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set static routing rules.

A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  routes | Static routing rules.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::Routes::SetAsync | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.RoutesTypes.Route > | routes | ) |

Set static routing rules.

A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  routes | Static routing rules.

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::Routes::SetAsync | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.RoutesTypes.Route > | routes,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set static routing rules.

A destination of 0.0.0.0 and prefix 0 (for IPv4) or destination of :: and prefix 0 (for IPv6) refers to the default gateway.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  routes | Static routing rules.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

vmware.appliance.techpreview.networking.RoutesTypes.TestStatusInfo vmware::appliance::techpreview::networking::Routes::Test | ( | global::System.Collections.Generic.List< string > | gateways,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Test connection to a list of gateways.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  gateways | list of gateways.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  connection status

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

vmware.appliance.techpreview.networking.RoutesTypes.TestStatusInfo vmware::appliance::techpreview::networking::Routes::Test | ( | global::System.Collections.Generic.List< string > | gateways | ) |

Test connection to a list of gateways.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  gateways | list of gateways.

Returns:
  connection status

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.networking.RoutesTypes.TestStatusInfo> vmware::appliance::techpreview::networking::Routes::TestAsync | ( | global::System.Collections.Generic.List< string > | gateways | ) |

Test connection to a list of gateways.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  gateways | list of gateways.

Returns:
  connection status

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.networking.RoutesTypes.TestStatusInfo> vmware::appliance::techpreview::networking::Routes::TestAsync | ( | global::System.Collections.Generic.List< string > | gateways,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Test connection to a list of gateways.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  gateways | list of gateways.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  connection status

Implemented in vmware::appliance::techpreview::networking::RoutesStub.

The documentation for this interface was generated from the following file:

- Routes.cs